Subject: Re: apache as service errors
From: "Bruce Dobrin" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 21 May 2003 20:19:53 -0700

Igor,

Perhaps that is  what Martin meant.. tried it..  same result..
Bruce
----- Original Message ----- 
From: "Igor Pechtchanski" <[email-masked]>
To: "Bruce Dobrin" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, May 21, 2003 7:52 PM
Subject: Re: apache as service errors

> Bruce,
>
> The equivalent of "root" under WinNT is SYSTEM.  What Martin was
> *probably* asking is whether you are able to start apache from the command
> line in a SYSTEM-owned shell, and what errors you got if you weren't.
> For instructions on getting a SYSTEM-owned shell, see
> <http://cygwin.com/ml/cygwin/2003-03/msg01892.html>.
> Igor
>
> On Wed, 21 May 2003, Bruce Dobrin wrote:
>
> > Martin-,
> >
> > I am part of the domain and local Administrators group,  and have full
root
> > privledges, if that's what you mean ( I have no specific "root" login on
the
> > system or in the passwd file).  If I log in specifically as
administrator,
> > same result..
> >
> > Thanks
> > bruce
> > ----- Original Message -----
> > From: "Martin Gainty" <[email-masked]>
> > To: "Bruce Dobrin" <[email-masked]>; <[email-masked]>
> > Sent: Tuesday, May 20, 2003 5:29 PM
> > Subject: Re: apache as service errors
> >
> >
> > >
> > > ----- Original Message -----
> > > From: "Bruce Dobrin" <[email-masked]>
> > > To: <[email-masked]>
> > > Sent: Wednesday, May 21, 2003 8:17 PM
> > > Subject: apache as service errors
> > >
> > >
> > > > cyg1.3.22
> > > > apache1.3.24(cygwin)
> > > > XP Media center addition
> > > >
> > > > Hi
> > > > Apache starts and runs fine using apachectl start
> > > > $ cygrunsrv -I apache -p /usr/sbin/httpd.exe -a '-k'
> > > >
> > > > check registry to make sure  -k and all else gets in there
apropiratily
> > > >
> > > > at first I got errors in /var/log/apache/error...  but cleared those
up
> > by
> > > > changing permisions on /var and rebaseall ( unable to remap
> > cygintl-1.dll
> > > > ...or something like that)
> > > >
> > > > now I get nothing in the error log when I net start apache
> > > > I do get the following error in event viewer:
> > > >
> > > > PID 3700 : starting service `apache' failed: execv: 1, Operation not
> > > > permitted.
> > > >
> > > > Now I'm pretty much stuck....  any one have any suggestions?
> > > >
> > > Bruce-
> > > What happens when login as root?
> > > Martin
> > >
> > > --
> > > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > > Problem reports:       http://cygwin.com/problems.html
> > > Documentation:         http://cygwin.com/docs.html
> > > FAQ:                   http://cygwin.com/faq/
> > >
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Problem reports:       http://cygwin.com/problems.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
>
> -- 
> http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_ [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_ [email-masked]
>      |,4-  ) )-,_. ,\ (  `'-' Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
>
> "I have since come to realize that being between your mentor and his route
> to the bathroom is a major career booster."  -- Patrick Naughton
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/